Package de.dfki.lt.freetts.mbrola

# Class MbrolaAudioOutput

java.lang.Object
de.dfki.lt.freetts.mbrola.MbrolaAudioOutput

All Implemented Interfaces:
  `UtteranceProcessor`

public class MbrolaAudioOutput extends Object implements UtteranceProcessor
Supports generating audio output from an MBROLA-synthesized utterance. This is an utterance processor. The primary method, `processUtterance` takes an utterance containing an open BufferedInputStream, from which to read raw audio data provided by the external MBROLA binary. The audio data is read and sent to the proper audio player.

## Constructor Summary

Constructors
Constructor
Description
`MbrolaAudioOutput()`

## Method Summary

Modifier and Type
Method
Description
`void`
`processUtterance(Utterance utterance)`
Reads audio data generated by the external MBROLA binary for the given Utterance.
`String`
`toString()`
Returns the string form of this object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MbrolaAudioOutput

public MbrolaAudioOutput()

## Method Details

### processUtterance

public void processUtterance(Utterance utterance) throws ProcessException
Reads audio data generated by the external MBROLA binary for the given Utterance. The data is read from the open BufferedInputStream associated with the Utterance, and written into the AudioPlayer.

Specified by:
  `processUtterance` in interface `UtteranceProcessor`
Parameters:
  `utterance` - the utterance to generate waves
Throws:
  `ProcessException` - if an IOException is thrown during the processing of the utterance

### toString

public String toString()
Returns the string form of this object

Overrides:
  `toString` in class `Object`
Returns:
  the string form of this object